#include <stdio.h>
#include <math.h>

void myPower(double x,int n) {
	double result = pow(x,n);
	printf("%lf",result);
}

int main() {
	double x;
	int n;
	scanf("%lf,%d",&x,&n);
	myPower(x,n);
	
	return 0;
}